Subject: [BK PATCH] USB changes for 2.5.19
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

More USB changes for 2.5.19

Pull from:  bk://linuxusb.bkbits.net/linus-2.5

 Documentation/DocBook/Makefile        |    3 
 Documentation/DocBook/kernel-api.tmpl |    3 
 drivers/usb/core/Makefile             |   13 
 drivers/usb/core/config.c             |  494 ++++++++++++
 drivers/usb/core/message.c            |  661 ++++++++++++++++
 drivers/usb/core/urb.c                |  236 +++++
 drivers/usb/core/usb.c                | 1359 ----------------------------------
 drivers/usb/host/ehci-q.c             |    2 
 drivers/usb/image/scanner.c           |   23 
 drivers/usb/image/scanner.h           |   10 
 10 files changed, 1431 insertions(+), 1373 deletions(-)
------

[email-masked], 2002-05-31 15:49:47-07:00, [email-masked]
  [PATCH] PATCH: USB Scanner Driver 0.4.8 and new maintainer
  
  Here's my last and final patch to the maintainer of USB Scanner Driver.  Brian
  Beattie <[email-masked]> is now going to assume this role (thanks
  Brian!).  Brian brings some kernel level programming so I'm sure he'll be able
  to conttribute to this list w/o any problems.  I want to thank you all for your
  support and help.  A couple of you sent some personal msgs regarding my
  departure - thank you.
  
  * 0.4.8  5/30/2002
   *    - Added Mustek BearPaw 2400 TA.  Thanks to Sergey
   *      Vlasov <[email-masked]>.
   *    - Added Mustek 1200UB Plus and Mustek BearPaw 1200 CU ID's.  These use
   *      the Grandtech GT-6801 chip. Thanks to Henning
   *      Meier-Geinitz <[email-masked]>.
   *    - Increased Epson timeout to 60 secs as requested from
   *      Karl Heinz Kremer <[email-masked]>.
   *    - Changed maintainership from David E. Nelson to Brian
   *      Beattie <[email-masked]>.

 drivers/usb/image/scanner.c |   23 +++++++++++++++++++----
 drivers/usb/image/scanner.h |   10 ++++++----
 2 files changed, 25 insertions(+), 8 deletions(-)
------

[email-masked], 2002-05-31 14:18:01-07:00, [email-masked]
  [PATCH] ehci remove warning if no CONFIG_USB_DEBUG
  
  I just noticed a debug message will generate a needless warning
  when debugging is disabled.

 drivers/usb/host/ehci-q.c |    2 ++
 1 files changed, 2 insertions(+)
------

[email-masked], 2002-05-31 11:56:35-07:00, [email-masked]
  [PATCH] USB kernel-api documentation fix
  
  updated the kernel-api documentation USB files due to file reorg.

 Documentation/DocBook/Makefile        |    3 +++
 Documentation/DocBook/kernel-api.tmpl |    3 +++
 2 files changed, 6 insertions(+)
------

[email-masked], 2002-05-30 11:52:41-07:00, [email-masked]
  USB: Move configuration parsing code from usb.c to config.c

 drivers/usb/core/Makefile |    5 
 drivers/usb/core/config.c |  494 ++++++++++++++++++++++++++++++++++++++++++++++
 drivers/usb/core/usb.c    |  487 ---------------------------------------------
 3 files changed, 497 insertions(+), 489 deletions(-)
------

[email-masked], 2002-05-30 11:47:38-07:00, [email-masked]
  USB: Move synchronous message passing code from usb.c to message.c

 drivers/usb/core/Makefile  |    4 
 drivers/usb/core/message.c |  661 +++++++++++++++++++++++++++++++++++++++++++++
 drivers/usb/core/usb.c     |  653 --------------------------------------------
 3 files changed, 663 insertions(+), 655 deletions(-)
------

[email-masked], 2002-05-30 11:34:39-07:00, [email-masked]
  USB: Move URB request code from usb.c to urb.c 

 drivers/usb/core/Makefile |    4 
 drivers/usb/core/urb.c    |  236 ++++++++++++++++++++++++++++++++++++++++++++++
 drivers/usb/core/usb.c    |  219 ------------------------------------------
 3 files changed, 238 insertions(+), 221 deletions(-)
------